Skip to main content
GET
/
v2
/
api
Get Ethereum Nodes Size
curl --request GET \
  --url https://api.etherscan.io/v2/api
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "7156164",
      "chainTimeStamp": "2019-02-01",
      "chainSize": "184726421279",
      "clientType": "Geth",
      "syncMode": "Default"
    },
    {
      "blockNumber": "7161012",
      "chainTimeStamp": "2019-02-02",
      "chainSize": "184726654448",
      "clientType": "Geth",
      "syncMode": "Default"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt

Use this file to discover all available pages before exploring further.

Effective July 1, 2026, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of affected endpoints.

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"stats"
Set to stats for this endpoint.
action
string
default:"chainsize"
Set to chainsize for this endpoint.
startdate
string
default:"2019-02-01"
Starting date in yyyy-MM-dd format.
enddate
string
default:"2019-02-28"
Ending date in yyyy-MM-dd format.
clienttype
string
default:"geth"
Node client to query, either geth or parity.
syncmode
string
default:"default"
Node type to run, either default or archive.
sort
string
default:"asc"
Sort order either desc for the latest results first or asc for the oldest results first.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "7156164",
      "chainTimeStamp": "2019-02-01",
      "chainSize": "184726421279",
      "clientType": "Geth",
      "syncMode": "Default"
    },
    {
      "blockNumber": "7161012",
      "chainTimeStamp": "2019-02-02",
      "chainSize": "184726654448",
      "clientType": "Geth",
      "syncMode": "Default"
    }
  ]
}